Commit 7b67f40a authored by Sébastien Villemot's avatar Sébastien Villemot
Browse files

Bump MATLAB version requirement to 7.0

parent f0276790
......@@ -334,7 +334,8 @@ In order to run Dynare, you need at least one of the following:
@itemize
@item
MATLAB version 6.5 or above; note that no toolbox is needed by Dynare,
MATLAB version 7.0 (R14) or above; note that no toolbox is needed by
Dynare,
@item
GNU Octave version 3.0.0 or above.
......
dnl Copyright (C) 2009-2010 Dynare Team
dnl Copyright (C) 2009-2011 Dynare Team
dnl
dnl This file is part of Dynare.
dnl
......@@ -67,15 +67,6 @@ if test "x$MATLAB_VERSION" != "x"; then
R14 | r14)
MATLAB_VERSION="7.0.0"
;;
*13SP2 | *13sp2)
MATLAB_VERSION="6.5.2"
;;
*13SP1 | *13sp1)
MATLAB_VERSION="6.5.1"
;;
R13 | r13)
MATLAB_VERSION="6.5"
;;
esac
AC_MSG_RESULT([${MATLAB_VERSION}])
ax_matlab_version_ok="yes"
......
......@@ -16,7 +16,7 @@ function dynare(fname, varargin)
% SPECIAL REQUIREMENTS
% none
% Copyright (C) 2001-2010 Dynare Team
% Copyright (C) 2001-2011 Dynare Team
%
% This file is part of Dynare.
%
......@@ -63,8 +63,8 @@ if exist('OCTAVE_VERSION')
warning('This version of Dynare has only been tested on Octave 3.0.0 and above. Since your Octave version is older than that, Dynare may fail to run, or give unexpected results. Consider upgrading your Octave installation.');
end
else
if matlab_ver_less_than('6.5')
warning('This version of Dynare has only been tested on Matlab 6.5 and above. Since your Matlab version is older than that, Dynare may fail to run, or give unexpected results. Consider upgrading your Matlab installation (or switch to Octave).');
if matlab_ver_less_than('7.0')
warning('This version of Dynare has only been tested on MATLAB 7.0 (R14) and above. Since your MATLAB version is older than that, Dynare may fail to run, or give unexpected results. Consider upgrading your MATLAB installation, or switch to Octave.');
end
end
......
......@@ -84,7 +84,7 @@ else
% Add win32 specific paths for Dynare Windows package
if strcmp(computer, 'PCWIN')
if matlab_ver_less_than('7.5')
mexpath = [dynareroot '../mex/matlab/win32-6.5-7.4'];
mexpath = [dynareroot '../mex/matlab/win32-7.0-7.4'];
if exist(mexpath, 'dir')
addpath(mexpath)
end
......
......@@ -75,9 +75,9 @@ SectionEnd
SectionGroup "MEX files for MATLAB"
Section "MEX files for MATLAB 32-bit, version 6.5 to 7.4 (R13 to R2007a)"
SetOutPath $INSTDIR\mex\matlab\win32-6.5-7.4
File ..\mex\matlab\win32-6.5-7.4\*.dll
Section "MEX files for MATLAB 32-bit, version 7.0 to 7.4 (R14 to R2007a)"
SetOutPath $INSTDIR\mex\matlab\win32-7.0-7.4
File ..\mex\matlab\win32-7.0-7.4\*.dll
SectionEnd
Section "MEX files for MATLAB 32-bit, version 7.5 to 7.12 (R2007b to R2011a)"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment